<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::LogManager Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#85722e2aa03ca2cd18baa6e52f4a7631">createLog</a>(const String &amp;name, bool defaultLog=false, bool debuggerOutput=true, bool suppressFileOutput=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#0ee43aed02b63b61e5f1face7c86b2ed">destroyLog</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#d8cf8e59a505cd064d64d2f6123322e4">destroyLog</a>(Log *log)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#94e537bffee90afa9b96a15e10c3ea21">getDefaultLog</a>()</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#2d93a13fad0c049ccc2b4d72f053e286">getLog</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#1bd6bc0890fd3e1de7886433c40b5e87">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#26fc82537a3ea960342838f878ef0f1f">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#bc7f5655f97364456289540a2b364686">LogList</a> typedef</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#51428feae11310e268c885bf3c0bf331">LogManager</a>()</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#0c4faae4a0fbe6f8df7583cfa4c63b52">logMessage</a>(const String &amp;message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#4be284d44cb3271413335d2e56fb49fb">logMessage</a>(LogMessageLevel lml, const String &amp;message, bool maskDebug=false)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#590d285b99b40eab5296e59bca131e19">mDefaultLog</a></td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#489779006a5b20d9b00270ebc2d76ba5">mLogs</a></td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#a274af4b29e98ac5340a18ad1b695139">setDefaultLog</a>(Log *newLog)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#4b7b19b57b7f4fa7d20fad9e672eba3f">setLogDetail</a>(LoggingLevel ll)</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1LogManager.html#887b11fa93f8aa25b912c226dd70943f">~LogManager</a>()</td><td><a class="el" href="classOgre_1_1LogManager.html">Ogre::LogManager</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:50:18 2008
</p>
</body>
</html>
